'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _ListingPage = require('./ListingPage.react');

var _ListingPage2 = _interopRequireDefault(_ListingPage);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CategoryPage = function (_Component) {
  (0, _inherits3.default)(CategoryPage, _Component);

  function CategoryPage() {
    (0, _classCallCheck3.default)(this, CategoryPage);
    return (0, _possibleConstructorReturn3.default)(this, _Component.apply(this, arguments));
  }

  CategoryPage.prototype.render = function render() {
    var _props = this.props,
        category = _props.category,
        blogPosts = _props.blogPosts;


    return _react2.default.createElement(_ListingPage2.default, { blogPosts: blogPosts, entity: 'categories', search: category });
  };

  return CategoryPage;
}(_react.Component);

CategoryPage.propTypes = {
  blogPosts: _react.PropTypes.object.isRequired,
  category: _react.PropTypes.string.isRequired
};
exports.default = CategoryPage;
module.exports = exports['default'];