'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

var _reactRouter = require('react-router');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RadiumLink = (0, _radium2.default)(_reactRouter.Link);

var Tag = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(Tag, _StyledComponent);

  function Tag() {
    (0, _classCallCheck3.default)(this, Tag);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  Tag.prototype.render = function render() {
    var _props = this.props,
        name = _props.name,
        url = _props.url;

    var RadiumLink = (0, _radium2.default)(_reactRouter.Link);
    var style = this.getStyle();

    return _react2.default.createElement(
      RadiumLink,
      { style: style.base, to: '/blog/tag/' + url },
      name
    );
  };

  return Tag;
}(_StyledComponent3.default)) || _class;

Tag.styleRoot = 'BlogTag';
Tag.propTypes = {
  name: _react.PropTypes.string.isRequired,
  url: _react.PropTypes.string.isRequired
};

Tag.style = function (_ref) {
  var colors = _ref.colors;
  return {
    base: {
      display: 'inline-block',
      backgroundColor: '#fff',
      color: 'initial',
      padding: '8px 20px',
      border: 0,
      fontSize: '15px',
      textDecoration: 'none',
      marginTop: '10px',
      marginRight: '10px',
      transition: 'background-color .1s',
      ':hover': {
        backgroundColor: colors.monotone1
      }
    }
  };
};

exports.default = Tag;
module.exports = exports['default'];