'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _Container = require('../grid/Container.react');

var _Container2 = _interopRequireDefault(_Container);

var _Column = require('../grid/Column.react');

var _Column2 = _interopRequireDefault(_Column);

var _Footer = require('./Footer.react');

var _Footer2 = _interopRequireDefault(_Footer);

var _FooterLink = require('./FooterLink.react');

var _FooterLink2 = _interopRequireDefault(_FooterLink);

var _Heading = require('../typography/Heading.react');

var _Heading2 = _interopRequireDefault(_Heading);

var _InfoContacts = require('./InfoContacts.react');

var _InfoContacts2 = _interopRequireDefault(_InfoContacts);

var _QuickContacts = require('./QuickContacts.react');

var _QuickContacts2 = _interopRequireDefault(_QuickContacts);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Row = require('../grid/Row.react');

var _Row2 = _interopRequireDefault(_Row);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Example = function (_Component) {
  (0, _inherits3.default)(Example, _Component);

  function Example() {
    (0, _classCallCheck3.default)(this, Example);
    return (0, _possibleConstructorReturn3.default)(this, _Component.apply(this, arguments));
  }

  Example.prototype.render = function render() {
    return _react2.default.createElement(
      _Footer2.default,
      null,
      _react2.default.createElement(_QuickContacts2.default, { quickContacts: quickContacts, outerContainerID: 'app' }),
      _react2.default.createElement(
        _Container2.default,
        null,
        _react2.default.createElement(
          _Column2.default,
          { large: 5, tablet: 6, phone: 12 },
          _react2.default.createElement(
            _Heading2.default,
            { kind: 'h3', style: { base: { color: 'white' } } },
            'Do you need help?'
          ),
          _react2.default.createElement(
            'p',
            null,
            'If you need help contact us or check our FAQ page.'
          )
        ),
        _react2.default.createElement(
          _Column2.default,
          { large: 7, tablet: 6, phone: 12 },
          _react2.default.createElement(
            _InfoContacts2.default,
            null,
            _react2.default.createElement(
              _FooterLink2.default,
              { kind: 'phone', to: 'tel:221333869', type: 'contact' },
              '22 133 38 69'
            ),
            _react2.default.createElement(
              _FooterLink2.default,
              { disabled: true, kind: 'eye', to: 'https://www.google.com', type: 'contact' },
              'Czat z konsultantem'
            ),
            _react2.default.createElement(
              _FooterLink2.default,
              { kind: 'info', to: 'mailto:contact@4financecomponents.com', type: 'contact' },
              'contact@4financecomponents.com'
            )
          ),
          _react2.default.createElement(
            'p',
            null,
            _react2.default.createElement(
              'strong',
              null,
              'Information center'
            ),
            _react2.default.createElement('br', null),
            'Monday-Friday 8:00-22:00 / Weekend 9:00-22:00'
          )
        )
      ),
      _react2.default.createElement(
        'div',
        { style: { backgroundColor: 'white', padding: '20px 0px' } },
        _react2.default.createElement(
          _Container2.default,
          null,
          _react2.default.createElement(
            _Row2.default,
            null,
            _react2.default.createElement(
              _Column2.default,
              { large: 4, small: 6 },
              _react2.default.createElement(_FooterLink2.default, { color: '#507CBD', kind: 'facebook', targt: '_blank', to: 'https://www.facebook.com', type: 'social' }),
              _react2.default.createElement(_FooterLink2.default, { color: '#F06361', kind: 'google_plus', targt: '_blank', to: 'https://www.google.com', type: 'social' }),
              _react2.default.createElement(_FooterLink2.default, { color: '#0077B5', kind: 'linkedin', targt: '_blank', to: 'https://www.linkedin.com', type: 'social' })
            ),
            _react2.default.createElement(
              _Column2.default,
              { large: 8, small: 6, style: { textAlign: 'right' } },
              _react2.default.createElement(
                _FooterLink2.default,
                { to: 'https://www.google.com' },
                'link 1'
              ),
              _react2.default.createElement(
                _FooterLink2.default,
                { to: 'https://www.google.com' },
                'link 2'
              )
            )
          )
        )
      )
    );
  };

  return Example;
}(_react.Component);

exports.default = Example;


var quickContacts = [{
  kind: 'phone',
  to: 'google.com'
}, {
  kind: 'eye',
  to: 'google.com'
}, {
  kind: 'eye',
  to: 'google.com'
}];
module.exports = exports['default'];