'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactScroll = require('react-scroll');

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Footer = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(Footer, _StyledComponent);

  function Footer() {
    (0, _classCallCheck3.default)(this, Footer);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  Footer.prototype.render = function render() {
    var children = this.props.children;

    var style = this.getStyle();

    return _react2.default.createElement(
      _reactScroll.Element,
      { name: 'footer', className: 'footer' },
      _react2.default.createElement(
        'footer',
        { ref: 'footer', id: 'footer', style: style.base },
        children
      )
    );
  };

  return Footer;
}(_StyledComponent3.default)) || _class;

Footer.styleRoot = 'Footer';
Footer.propTypes = {
  children: _react.PropTypes.any.isRequired
};

Footer.style = function (_ref) {
  var colors = _ref.colors;
  return {
    base: {
      alignSelf: 'auto',
      fontSize: '14px',
      flex: '0 1 auto',
      order: 9,
      backgroundColor: colors.primary,
      color: colors.white,
      position: 'relative',
      clear: 'both',
      marginTop: '80px'
    }
  };
};

exports.default = Footer;
module.exports = exports['default'];