'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ResponsiveImage = function (_StyledComponent) {
  (0, _inherits3.default)(ResponsiveImage, _StyledComponent);

  function ResponsiveImage() {
    (0, _classCallCheck3.default)(this, ResponsiveImage);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  ResponsiveImage.prototype.isContentful = function isContentful() {
    var src = this.props.src;


    return src.indexOf('images.contentful') !== -1;
  };

  ResponsiveImage.prototype.render = function render() {
    var _props = this.props,
        alt = _props.alt,
        src = _props.src;

    var imageSrc = this.isContentful() ? src + '?w=1200&h=1200' : src;

    return _react2.default.createElement('img', { alt: alt, src: imageSrc, style: { maxWidth: '100%' } });
  };

  return ResponsiveImage;
}(_StyledComponent3.default);

ResponsiveImage.styleRoot = 'ResponsiveImage';
ResponsiveImage.propTypes = {
  alt: _react.PropTypes.string,
  src: _react.PropTypes.string.isRequired
};
exports.default = ResponsiveImage;
module.exports = exports['default'];