'use strict';

exports.__esModule = true;

var _ResponsiveImage = require('../images/ResponsiveImage.react');

var _ResponsiveImage2 = _interopRequireDefault(_ResponsiveImage);

var _Heading = require('../typography/Heading.react');

var _Heading2 = _interopRequireDefault(_Heading);

var _markdownToReactComponents = require('markdown-to-react-components');

var _markdownToReactComponents2 = _interopRequireDefault(_markdownToReactComponents);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// https://github.com/christianalfoni/markdown-to-react-components

_markdownToReactComponents2.default.configure({
  h1: function h1(_ref) {
    var id = _ref.id,
        children = _ref.children;
    return _react2.default.createElement(_Heading2.default, { id: id, kind: 'h1', children: children });
  }, // eslint-disable-line react/prop-types
  h2: function h2(_ref2) {
    var id = _ref2.id,
        children = _ref2.children;
    return _react2.default.createElement(_Heading2.default, { id: id, kind: 'h2', children: children });
  }, // eslint-disable-line react/prop-types
  h3: function h3(_ref3) {
    var id = _ref3.id,
        children = _ref3.children;
    return _react2.default.createElement(_Heading2.default, { id: id, kind: 'h3', children: children });
  }, // eslint-disable-line react/prop-types
  h4: function h4(_ref4) {
    var id = _ref4.id,
        children = _ref4.children;
    return _react2.default.createElement(_Heading2.default, { id: id, kind: 'h4', children: children });
  }, // eslint-disable-line react/prop-types
  h5: function h5(_ref5) {
    var id = _ref5.id,
        children = _ref5.children;
    return _react2.default.createElement(_Heading2.default, { id: id, kind: 'h5', children: children });
  }, // eslint-disable-line react/prop-types
  img: _ResponsiveImage2.default
});

exports.default = _markdownToReactComponents2.default;
module.exports = exports['default'];