'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Menu = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(Menu, _StyledComponent);

  function Menu() {
    (0, _classCallCheck3.default)(this, Menu);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  Menu.prototype.render = function render() {
    var _props = this.props,
        children = _props.children,
        LoginModal = _props.LoginModal;

    var style = this.getStyle();

    return _react2.default.createElement(
      'div',
      { style: style.nav, className: 'top-nav' },
      _react2.default.createElement(
        'ul',
        { style: style.list },
        children
      ),
      LoginModal
    );
  };

  return Menu;
}(_StyledComponent3.default)) || _class;

Menu.styleRoot = 'Menu';
Menu.propTypes = {
  children: _react.PropTypes.any,
  LoginModal: _react.PropTypes.any.isRequired
};
Menu.style = {
  nav: {
    float: 'right'
  },

  list: {
    listStyle: 'none',
    margin: '0',
    padding: '0'
  },

  logout: {
    marginLeft: '35px'
  }
};
exports.default = Menu;
module.exports = exports['default'];