'use strict';

exports.__esModule = true;

exports.default = function (_ref) {
  var _active, _name, _base, _sharp, _first;

  var colors = _ref.colors,
      mediaQueries = _ref.mediaQueries;
  return {
    text: {
      dot: {
        display: 'none'
      },
      name: (_name = {}, _name[mediaQueries.breakpointSmall] = {
        display: 'none'
      }, _name.active = (_active = {}, _active[mediaQueries.breakpointSmall] = {
        display: 'inline-block'
      }, _active), _name)
    },
    arrow: {
      background: {
        fill: colors.backgroundDarker
      },
      stroke: {
        stroke: colors.background
      },
      strokeActive: {
        fill: colors.primary
      }
    },

    item: {
      base: (_base = {
        backgroundColor: colors.backgroundDarker
      }, _base[mediaQueries.breakpointTablet] = {
        fontSize: '13px'
      }, _base[mediaQueries.breakpointSmall] = {
        fontSize: '12px',
        padding: '0 10px 0 20px'
      }, _base),
      sharp: (_sharp = {}, _sharp[mediaQueries.breakpointSmall] = {
        padding: '0px 10px'
      }, _sharp),
      first: (_first = {}, _first[mediaQueries.breakpointSmall] = {
        padding: '0 15px 0 0'
      }, _first),
      active: {
        backgroundColor: colors.primary
      }
    }
  };
};

module.exports = exports['default'];