'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Option = function (_StyledComponent) {
  (0, _inherits3.default)(Option, _StyledComponent);

  function Option() {
    (0, _classCallCheck3.default)(this, Option);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  Option.prototype.render = function render() {
    var _props = this.props,
        formater = _props.formater,
        unit = _props.unit,
        value = _props.value;

    var optionText = formater(value, unit);

    return _react2.default.createElement(
      'option',
      { key: value, value: value },
      optionText
    );
  };

  return Option;
}(_StyledComponent3.default);

Option.styleRoot = 'SliderOption';
Option.propTypes = {
  formater: _react.PropTypes.func.isRequired,
  value: _react.PropTypes.number,
  unit: _react.PropTypes.string
};
Option.defaultProps = {
  formater: function formater(value, unit) {
    return value + ' ' + unit;
  }
};
exports.default = Option;
module.exports = exports['default'];