'use strict';

exports.__esModule = true;

var _Button = require('../buttons/Button.onea');

var _Button2 = _interopRequireDefault(_Button);

var _ButtonLink = require('../buttons/ButtonLink.onea');

var _ButtonLink2 = _interopRequireDefault(_ButtonLink);

var _Heading = require('../typography/Heading.onea');

var _Heading2 = _interopRequireDefault(_Heading);

var _MenuItem = require('../menus/MenuItem.onea');

var _MenuItem2 = _interopRequireDefault(_MenuItem);

var _MultiField = require('../forms/MultiField.onea');

var _MultiField2 = _interopRequireDefault(_MultiField);

var _normalizeColors = require('../lib/normalizeColors');

var _normalizeColors2 = _interopRequireDefault(_normalizeColors);

var _OfferRow = require('../calculator/OfferRow.onea');

var _OfferRow2 = _interopRequireDefault(_OfferRow);

var _PasswordField = require('../forms/PasswordField.onea');

var _PasswordField2 = _interopRequireDefault(_PasswordField);

var _ProgressBar = require('../progress/ProgressBar.onea');

var _ProgressBar2 = _interopRequireDefault(_ProgressBar);

var _Select = require('../forms/Select.onea');

var _Select2 = _interopRequireDefault(_Select);

var _TextFieldOnea = require('../forms/TextField.onea.js');

var _TextFieldOnea2 = _interopRequireDefault(_TextFieldOnea);

var _immutable = require('immutable');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _immutable.fromJS)({
  globals: {
    colors: (0, _normalizeColors2.default)({
      primary: '#00b2d5'
    }),
    mediaQueries: {}
  },
  Button: _Button2.default,
  ButtonLink: _ButtonLink2.default,
  Heading: _Heading2.default,
  MenuItem: _MenuItem2.default,
  MultiField: _MultiField2.default,
  OfferRow: _OfferRow2.default,
  PasswordField: _PasswordField2.default,
  ProgressBar: _ProgressBar2.default,
  Select: _Select2.default,
  TextField: _TextFieldOnea2.default
});
module.exports = exports['default'];