'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Table = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(Table, _StyledComponent);

  function Table() {
    (0, _classCallCheck3.default)(this, Table);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  Table.prototype.render = function render() {
    var _props = this.props,
        borderColor = _props.borderColor,
        bordered = _props.bordered,
        children = _props.children;

    var style = this.getStyle();

    return _react2.default.createElement(
      'table',
      { style: [style.base, bordered && style.bordered, { borderColor: borderColor }] },
      _react2.default.createElement(
        'tbody',
        null,
        children
      )
    );
  };

  return Table;
}(_StyledComponent3.default)) || _class;

Table.styleRoot = 'Table';
Table.propTypes = {
  borderColor: _react.PropTypes.string,
  bordered: _react.PropTypes.bool,
  children: _react.PropTypes.any
};
Table.defaultProps = {
  borderColor: 'hsl(0, 0%, 20%)'
};
Table.style = {
  base: {
    width: '100%',
    margin: '10px 0px',
    borderCollapse: 'collapse'
  },

  bordered: {
    borderWidth: '1px',
    borderStyle: 'solid'
  }
};
exports.default = Table;
module.exports = exports['default'];