'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TableRow = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(TableRow, _StyledComponent);

  function TableRow() {
    (0, _classCallCheck3.default)(this, TableRow);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  TableRow.prototype.render = function render() {
    var _props = this.props,
        bold = _props.bold,
        children = _props.children,
        noBorder = _props.noBorder;

    var style = this.getStyle();

    return _react2.default.createElement(
      'tr',
      { style: [style.base, noBorder && style.noBorder, bold && style.bold] },
      children
    );
  };

  return TableRow;
}(_StyledComponent3.default)) || _class;

TableRow.styleRoot = 'TableRow';
TableRow.propTypes = {
  children: _react.PropTypes.any,
  bold: _react.PropTypes.bool,
  noBorder: _react.PropTypes.bool
};
TableRow.defaultProps = {
  bold: false,
  noBorder: false
};
TableRow.style = {
  base: {
    borderBottomWidth: '1px',
    borderBottomStyle: 'solid'
  },

  noBorder: {
    borderBottomWidth: '0px',
    borderBottomStyle: 'none'
  },

  bold: {
    fontWeight: 'bold'
  }
};
exports.default = TableRow;
module.exports = exports['default'];