'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Subheading = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(Subheading, _StyledComponent);

  function Subheading() {
    (0, _classCallCheck3.default)(this, Subheading);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  Subheading.prototype.render = function render() {
    var _props = this.props,
        centered = _props.centered,
        children = _props.children,
        decorated = _props.decorated;

    var style = this.getStyle();

    return _react2.default.createElement(
      'div',
      { style: [style.base, centered && style.centered] },
      children,
      decorated && _react2.default.createElement('div', { style: style.decoration.base })
    );
  };

  return Subheading;
}(_StyledComponent3.default)) || _class;

Subheading.styleRoot = 'Subheading';
Subheading.propTypes = {
  centered: _react.PropTypes.bool,
  children: _react.PropTypes.any.isRequired,
  decorated: _react.PropTypes.bool
};

Subheading.style = function (_ref) {
  var colors = _ref.colors;
  return {
    base: {
      fontSize: '16px',
      fontWeight: '100',
      marginBottom: '25px'
    },

    decoration: {
      base: {
        backgroundColor: colors.secondary,
        display: 'block',
        height: '5px',
        left: '-16px',
        lineHeight: 'inherit',
        marginTop: '.5em',
        minWidth: '12%',
        maxWidth: '24%',
        position: 'relative',
        width: '48px'
      }
    },

    centered: {
      textAlign: 'center'
    }
  };
};

exports.default = Subheading;
module.exports = exports['default'];