# <<Package>>

## [Theming](https://github.com/blueberryapps/4finance-packages/blob/master/packages/components/theme_readme.md)
## [Blog](https://github.com/blueberryapps/4finance-packages/blob/master/packages/components/blog_readme.md)
## [FAQ](https://github.com/blueberryapps/4finance-packages/blob/master/packages/components/faq_readme.md)
## How to Run React BlueKit Locally
```
cd packages/components
yarn add
gulp
```
And then navigate to address [http://localhost:8001](http://localhost:8001) in browser.

## Unit Tests
 + One time `npm run test`
 + Watch `npm run test:watch`
 + Code coverage `npm run coverage`

## Style Memoization

Styled components memoize style resolving on initialization by default, thus resolving styles in application is super fast.
But for development purposes we need our theme to be reloadable on the fly.
So we've added `process.env.ALLOW_LIVE_STYLE_RELOAD` which prevents memoization.
When you start components under BlueKit this constant is already set.

## SVG Icons

To regenerate or add new icons paste them to assets folder and then run
```gulp svg-icon```

