# FAQ

To use the FAQ you need to import it from `@blueberry/4finance-components/lib/faq`.

## Data
```js
import { Map } from 'immutable';

const faqs = Map({
  'Faq 2': {
    fields: {
      title: 'Faq 2',
      content: '## Lorem ipsum dolor sit amet\n consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
      order: 2,
      enabled: true,
    }
  },
  'Faq 1': {
    fields: {
      title: 'Faq 1',
      content: '## Lorem ipsum dolor sit amet\n consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
      order: 1,
      enabled: true,
    }
  }
})
```

## How to connect Data to components

```jsx
import { FaqList } from `@blueberry/4finance-components/lib/faq`;

<FaqList faqs={faqs} />
```
