'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _Icon = require('../../layout/Icon.react');

var _Icon2 = _interopRequireDefault(_Icon);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ToggleButton = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(ToggleButton, _StyledComponent);

  function ToggleButton() {
    (0, _classCallCheck3.default)(this, ToggleButton);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  ToggleButton.prototype.render = function render() {
    var onClick = this.props.onClick;

    var style = this.getStyle();

    return _react2.default.createElement(
      'button',
      { style: style.blogToggle, onClick: onClick },
      _react2.default.createElement(_Icon2.default, { color: 'white', kind: 'menu', size: 38 })
    );
  };

  return ToggleButton;
}(_StyledComponent3.default)) || _class;

ToggleButton.styleRoot = 'BlogToggleButton';
ToggleButton.propTypes = {
  onClick: _react.PropTypes.func.isRequired
};

ToggleButton.style = function (_ref) {
  var _blogToggle;

  var mediaQueries = _ref.mediaQueries;
  return {
    blogToggle: (_blogToggle = {
      display: 'none',
      width: '40px',
      height: '40px',
      border: '1px solid #fff',
      cursor: 'pointer',
      position: 'absolute',
      right: '15px',
      top: '50%',
      background: 'none',
      padding: 0,
      float: 'right',
      marginTop: '-20px',
      zIndex: 3,
      ':focus': {
        outline: 'none'
      }
    }, _blogToggle[mediaQueries.breakpointTablet] = {
      display: 'block'
    }, _blogToggle)
  };
};

exports.default = ToggleButton;
module.exports = exports['default'];