'use strict';

exports.__esModule = true;

exports.default = function (_ref) {
  var _base, _simple;

  var colors = _ref.colors,
      mediaQueries = _ref.mediaQueries;
  return {
    base: (_base = {
      fontWeight: 'bold',
      boxShadow: '0 1px 3px 0 rgba(0, 0, 0, 0.2)'
    }, _base[mediaQueries.breakpointLarge] = {
      minWidth: '300px'
    }, _base),
    kind: {
      primaryInverted: {
        backgroundColor: 'transparent'
      }
    },
    simple: (_simple = {
      color: colors.primary,
      borderBottom: '1px solid ' + colors.primary,
      ':hover': {
        borderBottom: '1px solid ' + colors.primaryDarker,
        color: colors.primaryDarker
      }
    }, _simple[mediaQueries.breakpointLarge] = {
      minWidth: '1px'
    }, _simple),
    size: {
      small: {
        padding: '0px 18px'
      }
    }
  };
};

module.exports = exports['default'];