'use strict';

exports.__esModule = true;

exports.default = function (_ref) {
  var _base, _simple;

  var colors = _ref.colors,
      mediaQueries = _ref.mediaQueries;
  return {
    base: (_base = {
      borderRadius: 0,
      boxShadow: '0 1px 3px 0 rgba(0, 0, 0, 0.2)',
      fontWeight: 'bold'
    }, _base[mediaQueries.breakpointLarge] = {
      minWidth: '300px'
    }, _base),
    kind: {
      primaryInverted: {
        backgroundColor: 'transparent'
      },
      simple: (_simple = {
        color: colors.primary,
        borderBottom: '1px solid ' + colors.primary,
        ':hover': {
          color: colors.primaryDarker,
          borderBottom: '1px solid ' + colors.primaryDarker
        }
      }, _simple[mediaQueries.breakpointLarge] = {
        minWidth: '1px'
      }, _simple)
    },
    size: {
      small: {
        padding: '10px 18px'
      }
    }
  };
};

module.exports = exports['default'];