'use strict';

exports.__esModule = true;
exports.default = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _reactImmutableProptypes = require('react-immutable-proptypes');

var _reactImmutableProptypes2 = _interopRequireDefault(_reactImmutableProptypes);

var _immutable = require('immutable');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FaqItem = require('./FaqItem.react');

var _FaqItem2 = _interopRequireDefault(_FaqItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FaqList = function (_Component) {
  (0, _inherits3.default)(FaqList, _Component);

  function FaqList() {
    (0, _classCallCheck3.default)(this, FaqList);
    return (0, _possibleConstructorReturn3.default)(this, _Component.apply(this, arguments));
  }

  FaqList.prototype.renderFaq = function renderFaq(faq) {
    var fields = faq.fields;


    return fields.enabled && fields.title && _react2.default.createElement(_FaqItem2.default, (0, _extends3.default)({ key: fields.title }, fields));
  };

  FaqList.prototype.render = function render() {
    var faqs = this.props.faqs;

    var faqsMap = _immutable.Map.isMap(faqs) ? faqs : (0, _immutable.Map)(faqs);

    return _react2.default.createElement(
      'div',
      null,
      faqsMap.sortBy(function (a) {
        return a.fields.order;
      }).map(this.renderFaq)
    );
  };

  return FaqList;
}(_react.Component);

FaqList.propTypes = {
  faqs: _reactImmutableProptypes2.default.map.isRequired
};
exports.default = FaqList;
module.exports = exports['default'];