'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var InfoContacts = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(InfoContacts, _StyledComponent);

  function InfoContacts() {
    (0, _classCallCheck3.default)(this, InfoContacts);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  InfoContacts.prototype.render = function render() {
    var children = this.props.children;

    var style = this.getStyle();

    return _react2.default.createElement(
      'ul',
      { style: style.base },
      children
    );
  };

  return InfoContacts;
}(_StyledComponent3.default)) || _class;

InfoContacts.styleRoot = 'InfoContacts';
InfoContacts.propTypes = {
  children: _react.PropTypes.any.isRequired
};

InfoContacts.style = function (_ref) {
  var _base;

  var mediaQueries = _ref.mediaQueries;
  return {
    base: (_base = {
      listStyle: 'none',
      padding: 0,
      margin: '28px 0 10px',
      display: 'flex',
      justifyContent: 'space-between'
    }, _base[mediaQueries.breakpointLaptop] = {
      display: 'block'
    }, _base[mediaQueries.breakpointTablet] = {
      margin: '10px 0'
    }, _base)
  };
};

exports.default = InfoContacts;
module.exports = exports['default'];