'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ErrorMessage = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(ErrorMessage, _StyledComponent);

  function ErrorMessage() {
    (0, _classCallCheck3.default)(this, ErrorMessage);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  ErrorMessage.prototype.render = function render() {
    var _props = this.props,
        children = _props.children,
        inheritedStyle = _props.inheritedStyle;

    var style = this.getStyle();

    return _react2.default.createElement(
      'div',
      { style: [style.wrapper, inheritedStyle && inheritedStyle] },
      _react2.default.createElement(
        'div',
        { className: 'errorMessage', style: style.errorMessage },
        children
      )
    );
  };

  return ErrorMessage;
}(_StyledComponent3.default)) || _class;

ErrorMessage.styleRoot = 'ErrorMessage';
ErrorMessage.propTypes = {
  children: _react.PropTypes.any.isRequired,
  inheritedStyle: _react.PropTypes.oneOfType([_react.PropTypes.array, _react.PropTypes.object])
};

ErrorMessage.style = function (_ref) {
  var colors = _ref.colors;
  return {
    wrapper: {
      color: colors.error,
      marginTop: '6px',
      padding: '3px 0px',
      textAlign: 'left',
      position: 'relative',
      maxWidth: '400px'
    }
  };
};

exports.default = ErrorMessage;
module.exports = exports['default'];