'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Hint = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(Hint, _StyledComponent);

  function Hint() {
    (0, _classCallCheck3.default)(this, Hint);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  Hint.prototype.render = function render() {
    var children = this.props.children;

    var style = this.getStyle();

    return _react2.default.createElement(
      'div',
      { style: style.wrapper },
      children
    );
  };

  return Hint;
}(_StyledComponent3.default)) || _class;

Hint.styleRoot = 'Hint';
Hint.propTypes = {
  children: _react.PropTypes.any.isRequired
};
Hint.style = {
  wrapper: {
    fontSize: '13px',
    color: 'hsl(0, 0%, 58%)',
    marginTop: '5px',
    maxWidth: '400px'
  }
};
exports.default = Hint;
module.exports = exports['default'];