'use strict';

exports.__esModule = true;
exports.default = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

var _radiumBootstrapGrid = require('radium-bootstrap-grid');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line import/named

var ColumnComponent = function (_StyledComponent) {
  (0, _inherits3.default)(ColumnComponent, _StyledComponent);

  function ColumnComponent() {
    (0, _classCallCheck3.default)(this, ColumnComponent);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  ColumnComponent.prototype.render = function render() {
    var _props = this.props,
        children = _props.children,
        large = _props.large,
        medium = _props.medium,
        phone = _props.phone,
        tablet = _props.tablet,
        small = _props.small,
        props = (0, _objectWithoutProperties3.default)(_props, ['children', 'large', 'medium', 'phone', 'tablet', 'small']);


    return _react2.default.createElement(
      _radiumBootstrapGrid.Column,
      (0, _extends3.default)({
        lg: large,
        md: medium,
        ms: tablet,
        sm: small,
        xs: phone
      }, props),
      children
    );
  };

  return ColumnComponent;
}(_StyledComponent3.default);

ColumnComponent.styleRoot = 'GridColumnComponent';
ColumnComponent.propTypes = {
  children: _react.PropTypes.any,
  large: _react.PropTypes.number,
  medium: _react.PropTypes.number,
  phone: _react.PropTypes.number,
  small: _react.PropTypes.number,
  tablet: _react.PropTypes.number
};
exports.default = ColumnComponent;
module.exports = exports['default'];