'use strict';

exports.__esModule = true;
exports.default = undefined;

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

var _radiumBootstrapGrid = require('radium-bootstrap-grid');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line import/named

var RowComponent = function (_StyledComponent) {
  (0, _inherits3.default)(RowComponent, _StyledComponent);

  function RowComponent() {
    (0, _classCallCheck3.default)(this, RowComponent);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  RowComponent.prototype.render = function render() {
    var _props = this.props,
        children = _props.children,
        props = (0, _objectWithoutProperties3.default)(_props, ['children']);


    return _react2.default.createElement(
      _radiumBootstrapGrid.Row,
      props,
      children
    );
  };

  return RowComponent;
}(_StyledComponent3.default);

RowComponent.styleRoot = 'GridRowComponent';
RowComponent.propTypes = {
  children: _react.PropTypes.any
};
exports.default = RowComponent;
module.exports = exports['default'];