'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var VerticalSpacer = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(VerticalSpacer, _StyledComponent);

  function VerticalSpacer() {
    (0, _classCallCheck3.default)(this, VerticalSpacer);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  VerticalSpacer.prototype.render = function render() {
    var size = this.props.size;

    var style = this.getStyle();

    return _react2.default.createElement('div', { style: [style.base, style.size[size]] });
  };

  return VerticalSpacer;
}(_StyledComponent3.default)) || _class;

VerticalSpacer.styleRoot = 'VerticalSpacer';
VerticalSpacer.propTypes = {
  size: _react.PropTypes.oneOf([1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12])
};
VerticalSpacer.defaultProps = {
  size: 2
};
VerticalSpacer.style = {
  base: {
    clear: 'both'
  },

  size: {
    1: {
      height: '5px'
    },
    2: {
      height: '10px'
    },
    3: {
      height: '15px'
    },
    4: {
      height: '20px'
    },
    5: {
      height: '25px'
    },
    6: {
      height: '30px'
    },
    7: {
      height: '35px'
    },
    8: {
      height: '40px'
    },
    9: {
      height: '45px'
    },
    10: {
      height: '50px'
    },
    11: {
      height: '75px'
    },
    12: {
      height: '100px'
    }
  }
};
exports.default = VerticalSpacer;
module.exports = exports['default'];