'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var VerticalMenu = function (_StyledComponent) {
  (0, _inherits3.default)(VerticalMenu, _StyledComponent);

  function VerticalMenu() {
    (0, _classCallCheck3.default)(this, VerticalMenu);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  VerticalMenu.prototype.render = function render() {
    var children = this.props.children;

    var style = this.getStyle();

    return _react2.default.createElement(
      'div',
      { style: style.nav },
      _react2.default.createElement(
        'ul',
        { style: style.list },
        children
      )
    );
  };

  return VerticalMenu;
}(_StyledComponent3.default);

VerticalMenu.styleRoot = 'VerticalMenu';
VerticalMenu.propTypes = {
  children: _react.PropTypes.any
};
VerticalMenu.style = {
  nav: {
    width: '100%'
  },

  list: {
    listStyle: 'none',
    margin: '0',
    padding: '0 0 60px 0',
    width: '100%',
    maxHeight: '100vh',
    overflowY: 'scroll'
  }
};
exports.default = VerticalMenu;
module.exports = exports['default'];