'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PanelBlockBody = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(PanelBlockBody, _StyledComponent);

  function PanelBlockBody() {
    (0, _classCallCheck3.default)(this, PanelBlockBody);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  PanelBlockBody.prototype.render = function render() {
    var children = this.props.children;

    var style = this.getStyle();

    return _react2.default.createElement(
      'div',
      { style: [style.body] },
      children
    );
  };

  return PanelBlockBody;
}(_StyledComponent3.default)) || _class;

PanelBlockBody.styleRoot = 'PanelBlockBody';
PanelBlockBody.propTypes = {
  children: _react.PropTypes.any
};
PanelBlockBody.style = {
  body: {
    flex: '1 0 auto'
  }
};
exports.default = PanelBlockBody;
module.exports = exports['default'];