'use strict';

exports.__esModule = true;
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StyledComponent2 = require('../StyledComponent.react');

var _StyledComponent3 = _interopRequireDefault(_StyledComponent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PanelBlockFooter = (0, _radium2.default)(_class = function (_StyledComponent) {
  (0, _inherits3.default)(PanelBlockFooter, _StyledComponent);

  function PanelBlockFooter() {
    (0, _classCallCheck3.default)(this, PanelBlockFooter);
    return (0, _possibleConstructorReturn3.default)(this, _StyledComponent.apply(this, arguments));
  }

  PanelBlockFooter.prototype.render = function render() {
    var _props = this.props,
        background = _props.background,
        children = _props.children;

    var style = this.getStyle();

    return _react2.default.createElement(
      'div',
      { style: [style.footer, { backgroundColor: background }]
      },
      children
    );
  };

  return PanelBlockFooter;
}(_StyledComponent3.default)) || _class;

PanelBlockFooter.styleRoot = 'PanelBlockFooter';
PanelBlockFooter.propTypes = {
  background: _react.PropTypes.string,
  children: _react.PropTypes.any
};
PanelBlockFooter.defaultProps = {
  background: '#fff'
};

PanelBlockFooter.style = function (_ref) {
  var _footer;

  var mediaQueries = _ref.mediaQueries;
  return {
    footer: (_footer = {
      padding: '30px 30px 10px',
      margin: '30px -30px -30px -30px'
    }, _footer[mediaQueries.breakpointTablet] = {
      padding: '20px 15px 5px 15px'
    }, _footer[mediaQueries.breakpointSmall] = {
      margin: '30px -15px -15px -15px'
    }, _footer)
  };
};

exports.default = PanelBlockFooter;
module.exports = exports['default'];